List integration external accounts
curl --request GET \
--url https://api.interchange.io/api/v2/buyer/storefront-connections/{connectionId}/accounts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/buyer/storefront-connections/{connectionId}/accounts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/buyer/storefront-connections/{connectionId}/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"id": "<string>",
"connectionId": "<string>",
"credentialId": "<string>",
"externalAccountId": "<string>",
"name": "<string>",
"advertiser": "<string>",
"currency": "<string>",
"providerRawStatus": "<string>",
"accountType": null,
"parentExternalId": null,
"parentName": null,
"isDefault": true,
"isSelected": true,
"archivedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"mappedAdvertisers": [],
"campaignRollup": {
"campaignsTracked": 4503599627370495,
"campaignsActive": 4503599627370495,
"trackedSpend": 1,
"managedSpend": 1,
"managedShare": 0.5,
"currency": "<string>",
"windowDays": 4503599627370496
}
}
]
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Storefronts
List integration external accounts
List external provider accounts discovered for a buyer integration connection, including advertiser mappings.
GET
/
storefront-connections
/
{connectionId}
/
accounts
List integration external accounts
curl --request GET \
--url https://api.interchange.io/api/v2/buyer/storefront-connections/{connectionId}/accounts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/buyer/storefront-connections/{connectionId}/accounts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/buyer/storefront-connections/{connectionId}/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"id": "<string>",
"connectionId": "<string>",
"credentialId": "<string>",
"externalAccountId": "<string>",
"name": "<string>",
"advertiser": "<string>",
"currency": "<string>",
"providerRawStatus": "<string>",
"accountType": null,
"parentExternalId": null,
"parentName": null,
"isDefault": true,
"isSelected": true,
"archivedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"mappedAdvertisers": [],
"campaignRollup": {
"campaignsTracked": 4503599627370495,
"campaignsActive": 4503599627370495,
"trackedSpend": 1,
"managedSpend": 1,
"managedShare": 0.5,
"currency": "<string>",
"windowDays": 4503599627370496
}
}
]
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Path Parameters
Storefront connection ID
Response
List integration external accounts
External accounts discovered for an integration, including advertiser mappings.
Show child attributes
Show child attributes
⌘I